Retrieve diagnostic tree node data
post
/custom-actions/diagnosticTreeNode
Returns the diagnostic tree node details for given matching criteria.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
depth: string
The tree depth to traverse. If not provided, the complete depth is returned provided the response size is within configured size.
-
diagnosticLogFileId(required): string
The diagnostic log file identifier.
-
filterMap: object
filterMap
Additional Properties Allowed: additionalPropertiesDynamic filter key-value pairs. The keys may vary depending on use case. These are used as matching criteria. Only node details that satisfy these matching criterias are returned.
-
nodeIds: array
nodeIds
The list of node IDs to traverse from. This is the parent node from where the logic will traverse down. If nodeIds are not used, the root (bulk plan process node) is used as the parent.
Nested Schema : filterMap
Type:
objectAdditional Properties Allowed
Show Source
Dynamic filter key-value pairs. The keys may vary depending on use case. These are used as matching criteria. Only node details that satisfy these matching criterias are returned.
Example:
{
"status":[
"FAILURE",
"SUCCESS"
],
"processName":"Bulk Plan",
"ORDER_RELEASE":[
"DOMAIN.ORDER_RELEASE_GID"
],
"ITINERARY":[
"DOMAIN.ITINERARY_GID"
]
}Nested Schema : nodeIds
Type:
arrayThe list of node IDs to traverse from. This is the parent node from where the logic will traverse down. If nodeIds are not used, the root (bulk plan process node) is used as the parent.
Show Source
Response
Supported Media Types
- application/json
200 Response
Success! A successful POST method returns a 200 status code.
Root Schema : DiagnosticTreeNodeResponse
Type:
Show Source
object-
actualDepth(required): integer
The total depth of the given diagnostic tree data.
-
completeTree(required): boolean
-
reason: string
Specifies the reason in case the status is FAILURE.
-
requestedDepth(required): integer
The requested depth of the tree. Represents the depth parameter in the rest request.
-
returnedDepth(required): integer
The returned depth of the tree.
-
status(required): string
The status of the process. The value can either be SUCCESS or FAILURE.
-
tree(required):
diagnosticTreeNode
Nested Schema : diagnosticTreeNode
Type:
Show Source
object-
childIds(required): array
childIds
The list of child node IDs.
-
children(required): array
children
The recursive child nodes.
-
duration(required): string
The execution duration, e.g., '35.35S'.
-
entities(required): object
entities
Additional Properties Allowed: additionalPropertiesThe dynamic entity map keys, like ORDER_RELEASE, BULK_PLAN, etc.
-
exportFiles: array
exportFiles
The list of export file names generated at this node.
-
id(required): string
The ID of the diagnostic tree node.
-
isTruncated: boolean
Specifies whether all child nodes are included. A value of true indicates the node data is truncated due to a depth limit. If omitted, the default is false.
-
nonDBEntities(required): array
nonDBEntities
-
processType(required): string
The name of the current process that the node represents.
-
reasonCodeList(required): array
reasonCodeList
-
remarks(required): array
remarks
-
status(required): string
The status of the process. It could be SUCCESS, FAILURE, ERROR, etc.
Nested Schema : entities
Type:
objectAdditional Properties Allowed
Show Source
The dynamic entity map keys, like ORDER_RELEASE, BULK_PLAN, etc.
Nested Schema : exportFiles
Type:
arrayThe list of export file names generated at this node.
Show Source
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.
404 Response
Your request includes a resource URI that doesn't exist.
Root Schema : errorResponse
Type:
Show Source
object-
detail(required): string
Provides more information about the error.
-
status(required): number
HTTP status code.
-
title(required): string
Provides a short summary message.